import { _ as _objectSpread2, a as _defineProperty } from '../_rollupPluginBabelHelpers-8169a350.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_RainDrop32 = {
  name: 'RainDrop32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M16,24V22a3.0033,3.0033,0,0,0,3-3h2A5.0055,5.0055,0,0,1,16,24Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M16,28a9.1378,9.1378,0,0,1-9-9.25c0-7.1218,8.001-14.2046,8.3416-14.5027a1,1,0,0,1,1.3168,0C16.999,4.5454,25,11.6282,25,18.75A9.1378,9.1378,0,0,1,16,28ZM16,6.37C14.1423,8.1748,9,13.634,9,18.75A7.1364,7.1364,0,0,0,16,26a7.1364,7.1364,0,0,0,7-7.25C23,13.634,17.8577,8.1748,16,6.37Z"
      }
    }), children]);
  }
};

export default virtual_RainDrop32;
