import { _ as _objectSpread2, a as _defineProperty } from '../_rollupPluginBabelHelpers-8169a350.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_TextLeading16 = {
  name: 'TextLeading16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('rect', {
      attrs: {
        "width": "16",
        "height": "2",
        "x": "14",
        "y": "13"
      }
    }), createElement('rect', {
      attrs: {
        "width": "15",
        "height": "2",
        "x": "15",
        "y": "28"
      }
    }), createElement('path', {
      attrs: {
        "d": "M25.85,27H28L23.64,17H21.36L17,27h2.15l.8-2h5.1Zm-5.1-4,1.75-4.37L24.25,23Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M25.85,12H28L23.64,2H21.36L17,12h2.15l.8-2h5.1Zm-5.1-4L22.5,3.63,24.25,8Z"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "6 15.83 8.58 18.41 10 17 6 13 2 17 3.41 18.42 6 15.83"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "6 27.17 3.42 24.59 2 26 6 30 10 26 8.59 24.58 6 27.17"
      }
    }), children]);
  }
};

export default virtual_TextLeading16;
