import { _ as _objectSpread2, a as _defineProperty } from '../_rollupPluginBabelHelpers-8169a350.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_ThunderstormSevere16 = {
  name: 'ThunderstormSevere16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,21,30Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,9,32Z"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "15.901 30.496 14.165 29.504 17.309 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"
      }
    }), createElement('path', {
      attrs: {
        "d": "M27.9516,15A4.399,4.399,0,0,1,28,15.5,4.5049,4.5049,0,0,1,23.5,20H23v2h.5A6.5075,6.5075,0,0,0,30,15.5c0-.17-.0312-.333-.0444-.5Z"
      }
    }), createElement('path', {
      attrs: {
        "fill": "none",
        "d": "M25.75,8h-1.5V4h1.5ZM25,9a1,1,0,1,0,1,1A1,1,0,0,0,25,9Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M31.9115,11.9355,25.6283.3706a.7181.7181,0,0,0-1.2568,0L18.0883,11.9355A.72.72,0,0,0,18.72,13H31.28A.72.72,0,0,0,31.9115,11.9355ZM24.25,4h1.5V8h-1.5ZM25,11a1,1,0,1,1,1-1A1,1,0,0,1,25,11Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M8.144,11.019l.8154-.0639.0991-.812a6.9863,6.9863,0,0,1,9.97-5.45L20,2.9468A8.9777,8.9777,0,0,0,7.2,9.1362,6.4929,6.4929,0,0,0,7.43,21.9043L6.1059,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.4471-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.3559-8.981Z"
      }
    }), children]);
  }
};

export default virtual_ThunderstormSevere16;
