import { _ as _objectSpread2, a as _defineProperty } from '../../_rollupPluginBabelHelpers-8169a350.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_WatsonHealthErase_3D32 = {
  name: 'WatsonHealthErase_3D32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M30.4148,16.5132,22.488,8.5859a2.0014,2.0014,0,0,0-2.8291,0L5.6208,22.624a2.0024,2.0024,0,0,0,0,2.8291L10.1663,30h9.5908L30.4148,19.3413A2.001,2.001,0,0,0,30.4148,16.5132ZM18.929,28H10.9949l-3.96-3.9619,6.3123-6.3118,7.9276,7.9276Zm3.76-3.76-7.9276-7.9276L21.074,10l7.9267,7.9272Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M11,12H8V2h3a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,11,12Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V5a1.0009,1.0009,0,0,0-1-1H10Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M4,2H0V4H4V6H1V8H4v2H0v2H4a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,4,2Z"
      }
    }), children]);
  }
};

export default virtual_WatsonHealthErase_3D32;
