import { _ as _objectSpread2, a as _defineProperty } from '../../_rollupPluginBabelHelpers-8169a350.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_WatsonHealthScalpelSelect32 = {
  name: 'WatsonHealthScalpelSelect32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28.8281,7.1719a4.0941,4.0941,0,0,0-5.6562,0L.3433,30H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.8281a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8787l2.086-2.0859,2.8293,2.8294-2.0857,2.0862ZM11.71,27.1211A2.9824,2.9824,0,0,1,9.5889,28H5.1714l5.7073-5.7072,2.83,2.83Zm15.7037-15.707-8.792,8.7939-2.8293-2.8292,8.7931-8.7929a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M15,2a2.9948,2.9948,0,0,0-2.8157,2H7.8156A2.9925,2.9925,0,1,0,4,7.8154v4.3687a3,3,0,1,0,2,0V7.8159A2.9959,2.9959,0,0,0,7.8156,6h4.3686A2.9947,2.9947,0,1,0,15,2ZM5,16a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,5,16ZM5,6A1,1,0,1,1,6,5,1.0008,1.0008,0,0,1,5,6ZM15,6a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,15,6Z"
      }
    }), children]);
  }
};

export default virtual_WatsonHealthScalpelSelect32;
