'use strict';

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_DataReference32 = {
  name: 'DataReference32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('polygon', {
      attrs: {
        "points": "25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"
      }
    }), createElement('path', {
      attrs: {
        "d": "M8.5,6A3.5,3.5,0,1,1,5,9.5,3.504,3.504,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M23.5,20A3.5,3.5,0,1,1,20,23.5,3.504,3.504,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "6 19 6 21 9.586 21 4 26.586 5.414 28 11 22.414 11 26 13 26 13 19 6 19"
      }
    }), children]);
  }
};

module.exports = virtual_DataReference32;
