'use strict';

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_GraphicalDataFlow24 = {
  name: 'GraphicalDataFlow24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28,30H22a2.0023,2.0023,0,0,1-2-2V22a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,30Zm-6-8h-.0012L22,28h6V22Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M18,26H12a3.0033,3.0033,0,0,1-3-3V19h2v4a1.001,1.001,0,0,0,1,1h6Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M26,18H24V15a1.001,1.001,0,0,0-1-1H18V12h5a3.0033,3.0033,0,0,1,3,3Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M15,18a.9986.9986,0,0,1-.4971-.1323L10,15.2886,5.4968,17.8677a1,1,0,0,1-1.4712-1.0938l1.0618-4.572L2.269,9.1824a1,1,0,0,1,.5662-1.6687l4.2-.7019L9.1006,2.5627a1,1,0,0,1,1.7881-.0214l2.2046,4.271,4.0764.7021a1,1,0,0,1,.5613,1.668l-2.8184,3.02,1.0613,4.5718A1,1,0,0,1,15,18Zm-5-5s.343.18.4971.2686l3.01,1.7241-.7837-3.3763,2.282-2.4453-3.2331-.5569-1.7456-3.382L8.3829,8.6144l-3.3809.565,2.2745,2.437-.7841,3.3763,3.0105-1.7241C9.657,13.18,10,13,10,13Z"
      }
    }), children]);
  }
};

module.exports = virtual_GraphicalDataFlow24;
