'use strict';

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Light32 = {
  name: 'Light32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('rect', {
      attrs: {
        "width": "2",
        "height": "4.96",
        "x": "15",
        "y": "2"
      }
    }), createElement('rect', {
      attrs: {
        "width": "4.96",
        "height": "2",
        "x": "21.67",
        "y": "6.85",
        "transform": "rotate(-45 24.142 7.85)"
      }
    }), createElement('rect', {
      attrs: {
        "width": "4.96",
        "height": "2",
        "x": "25.04",
        "y": "15"
      }
    }), createElement('rect', {
      attrs: {
        "width": "2",
        "height": "4.96",
        "x": "23.15",
        "y": "21.67",
        "transform": "rotate(-45 24.152 24.146)"
      }
    }), createElement('rect', {
      attrs: {
        "width": "2",
        "height": "4.96",
        "x": "15",
        "y": "25.04"
      }
    }), createElement('rect', {
      attrs: {
        "width": "4.96",
        "height": "2",
        "x": "5.37",
        "y": "23.15",
        "transform": "rotate(-45 7.86 24.144)"
      }
    }), createElement('rect', {
      attrs: {
        "width": "4.96",
        "height": "2",
        "x": "2",
        "y": "15"
      }
    }), createElement('rect', {
      attrs: {
        "width": "2",
        "height": "4.96",
        "x": "6.85",
        "y": "5.37",
        "transform": "rotate(-45 7.85 7.848)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"
      }
    }), children]);
  }
};

module.exports = virtual_Light32;
