'use strict';

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_RainScatteredNight32 = {
  name: 'RainScatteredNight32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M8.5084,32a1.0115,1.0115,0,0,1-.4485-.1055.9986.9986,0,0,1-.4486-1.3418l1.4934-3a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0015,1.0015,0,0,1,8.5084,32Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M29.8442,13.0347a1.5184,1.5184,0,0,0-1.2309-.8658,5.3587,5.3587,0,0,1-3.4094-1.7163,6.4648,6.4648,0,0,1-1.285-6.393,1.6031,1.6031,0,0,0-.3-1.5459,1.4535,1.4535,0,0,0-1.3594-.4922l-.0191.0029a7.8549,7.8549,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9549,5.9549,0,0,0,5.88-7.1455,7.5,7.5,0,0,0,4.8672-3.3A1.5381,1.5381,0,0,0,29.8442,13.0347ZM19,23H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm5.1509-7.0479a5.9639,5.9639,0,0,0-3.5015-2.708A7.5076,7.5076,0,0,0,18.0286,9.55a6.01,6.01,0,0,1,3.77-5.334,8.4581,8.4581,0,0,0,1.9395,7.5972A7.4007,7.4007,0,0,0,27.64,14.041,5.4392,5.4392,0,0,1,24.1509,15.9521Z"
      }
    }), children]);
  }
};

module.exports = virtual_RainScatteredNight32;
