'use strict';

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_SprayPaint32 = {
  name: 'SprayPaint32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M22.5,23A4.5,4.5,0,1,1,27,18.5,4.505,4.505,0,0,1,22.5,23Zm0-7A2.5,2.5,0,1,0,25,18.5,2.5026,2.5026,0,0,0,22.5,16Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M28,8H26V3H19V8H17a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V10A2.0023,2.0023,0,0,0,28,8ZM21,5h3V8H21ZM17,28V10H28l.002,18Z"
      }
    }), createElement('rect', {
      attrs: {
        "width": "3",
        "height": "3",
        "x": "2",
        "y": "14"
      }
    }), createElement('rect', {
      attrs: {
        "width": "3",
        "height": "3",
        "x": "7",
        "y": "9"
      }
    }), createElement('rect', {
      attrs: {
        "width": "3",
        "height": "3",
        "x": "2",
        "y": "9"
      }
    }), createElement('rect', {
      attrs: {
        "width": "3",
        "height": "3",
        "x": "12",
        "y": "4"
      }
    }), createElement('rect', {
      attrs: {
        "width": "3",
        "height": "3",
        "x": "7",
        "y": "4"
      }
    }), createElement('rect', {
      attrs: {
        "width": "3",
        "height": "3",
        "x": "2",
        "y": "4"
      }
    }), children]);
  }
};

module.exports = virtual_SprayPaint32;
