'use strict';

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Strawberry16 = {
  name: 'Strawberry16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('rect', {
      attrs: {
        "width": "2",
        "height": "2",
        "x": "9",
        "y": "10"
      }
    }), createElement('rect', {
      attrs: {
        "width": "2",
        "height": "2",
        "x": "9",
        "y": "14"
      }
    }), createElement('rect', {
      attrs: {
        "width": "2",
        "height": "2",
        "x": "13",
        "y": "12"
      }
    }), createElement('path', {
      attrs: {
        "d": "M9,28a5.169,5.169,0,0,1-.7441-.054A5.0935,5.0935,0,0,1,4,22.8669V11.1985a7.1615,7.1615,0,0,1,6.31-7.1653,6.9607,6.9607,0,0,1,4.4643,1.0706l7.9688,4.9807a6.98,6.98,0,0,1-.6885,12.19l-10.88,5.2285A4.9765,4.9765,0,0,1,9,28ZM11.002,6q-.2484,0-.5005.0241A5.1463,5.1463,0,0,0,6,11.1985V22.8669a3.0839,3.0839,0,0,0,2.5435,3.1,3.0266,3.0266,0,0,0,1.7622-.2649l10.8828-5.23a4.9807,4.9807,0,0,0,.4887-8.6958L13.7046,6.7935A4.9687,4.9687,0,0,0,11.002,6Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M26,7H22a4.0045,4.0045,0,0,1-4-4V2h2V3a2.0021,2.0021,0,0,0,2,2h4Z"
      }
    }), children]);
  }
};

module.exports = virtual_Strawberry16;
