'use strict';

var _rollupPluginBabelHelpers = require('../../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthICa_2D24 = {
  name: 'WatsonHealthICa_2D24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('polygon', {
      attrs: {
        "points": "2.001 21 2.001 30 11 30 11 28 4 28 4 21 2.001 21"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "21.001 30 30 30 30 21 28.001 21 28.001 28 21.001 28 21.001 30"
      }
    }), createElement('path', {
      attrs: {
        "d": "M22,24H10a2.0023,2.0023,0,0,1-2-2V10a2.002,2.002,0,0,1,2-2H22a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,22,24ZM10,10V22H22.002L22,10Z"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "30 11 30 2 21.001 2 21.001 4 28.001 4 28.001 11 30 11"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "11 2 2.001 2 2.001 11 4 11 4 4 11 4 11 2"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthICa_2D24;
