'use strict';

var _rollupPluginBabelHelpers = require('../../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthScalpelCursor20 = {
  name: 'WatsonHealthScalpelCursor20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"
      }
    }), createElement('polygon', {
      attrs: {
        "points": "13 4 4 4 4 13 6 13 6 6 13 6 13 4"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthScalpelCursor20;
