'use strict';

var _rollupPluginBabelHelpers = require('../../_rollupPluginBabelHelpers-00d81fcb.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthSpineLabel20 = {
  name: 'WatsonHealthSpineLabel20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(_rollupPluginBabelHelpers._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _rollupPluginBabelHelpers._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _rollupPluginBabelHelpers._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('polygon', {
      attrs: {
        "points": "3 11 3 13 8.59 13 2.29 19.29 3.71 20.71 10 14.41 10 20 12 20 12 11 3 11"
      }
    }), createElement('path', {
      attrs: {
        "d": "M26,13H23V12H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V19h3a2,2,0,0,0,2-2V15A2,2,0,0,0,26,13Zm-8,4V15h8v2Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M26,23H23V22H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V29h3a2,2,0,0,0,2-2V25A2,2,0,0,0,26,23Zm-8,4V25h8v2Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M26,3H23V2H21V3H18a2,2,0,0,0-2,2V7a2,2,0,0,0,2,2h3v1h2V9h3a2,2,0,0,0,2-2V5A2,2,0,0,0,26,3ZM18,7V5h8V7Z"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthSpineLabel20;
